<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHandoversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('handovers', function (Blueprint $table) {
            $table->id();
            $table->string('code', 50)->comment('Mã số phiếu');
            $table->string('sender_id')->comment('Tên người bàn giao');
            $table->string('receiver_id')->comment('Tên người nhận bàn giao');
            $table->string('device_id')->comment('ID TSTB được bàn giao');
            $table->string('department_id')->nullable()->comment('Phòng ban');
            $table->text('status')->nullable()->comment('Tình trạng sản phẩm khi bàn giao');
            $table->text('notes')->nullable()->comment('Thêm ghi chú (nếu có)');
            $table->timestamps('');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('handovers');
    }
}
